{% extends 'base.html' %}
{% load markdownify %}
{% block content %}


<main>
    <div>
        <h1>{{ storefront.name }}</h1>
        {{ storefront.description|markdownify }}
        <h2>Tasks</h2>
        <p><a href="{% url 'create_task' %}">Create a new task</a></p>
        {% if storefront.shows.all %}
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Assignee</th>
                        <th>Start date</th>
                        <th>Due date</th>
                        <th>Is completed</th>
                    </tr>
                </thead>
                <tbody>
                    {% for info in storefront.shows.all %}
                        <tr>
                            <td>{{ info.name }}</td>
                            <td>{{ info.assignee }}</td>
                            <td>{{ info.start_date }}</td>
                            <td>{{ info.due_date }}</td>
                            {% if info.is_completed %}
                                <td>Yes</td>
                            {% else %}
                                <td>No</td>
                            {% endif %}
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        {% else %}
            <p>This list is empty.</p>
        {% endif %}
    </div>
</main>


{% endblock content %}